package com.microservices.zone.resource.domain.vo;

import com.microservices.zone.resource.domain.ZoneResource;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */
@Data
@ApiModel("资源搜索对象")
public class ZoneResourceSearchVo extends ZoneResourceOpenSearchVo {

    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    @ApiModelProperty(value = "审核状态（0：待审核，1：审核通过 2：审核不通过）")
    private String auditStatus;

    public ZoneResource toZoneResource() {
        ZoneResource zoneResource = super.toZoneResource();
        zoneResource.setZoneId(zoneId);
        return zoneResource;
    }
}
